<?php

$mask = array(
	      'table' => 'einsatz',
	      'title' => 'Einsatzübersicht nach Gewässer',
	      'subtitle' => 'Altenoyther Feld',
	      'join' => array('personal ON einsatz.personal = personal.id',
			      'gebiet ON einsatz.gebiet = gebiet.id',
			      'gerate ON einsatz.geraet = gerate.id',
			      'anbaugeraete ON einsatz.anbaugeraet = anbaugeraete.id',
			      'arbeitsarten ON einsatz.arbeiten = arbeitsarten.id',
			      'kostenstellen ON einsatz.kostenstelle = kostenstellen.id',
			      ),
	      'where' => "arbeitsarten.arbeitsart <> 'Urlaub' AND arbeitsarten.arbeitsart <> 'Krank' AND arbeitsarten.arbeitsart <> 'Sonstige Fehltage'"
	                 . ' AND einsatz.gebiet = 41', # 20 Altenoyther Feld
	      'sort' => 1,
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'einsatz.id',
					    ),
			      'datum' => array(
					    'name' => 'Datum',
					    'type' => 'date',
					    'width' => 70,
					    ),
			      'personal' => array(
					    'name' => 'Personal',
					    'sql' => "personal.personal || ', ' || personal.vorname",
					    'width' => 150,
					    'specs' => "filterUI: 't'",
					    ),
			      'stunden' => array(
					    'name' => 'Stunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright'",
					    'width' => 50,
					    ),
			      'stunde' => array(
					    'name' => 'Stunde',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright'",
					    'width' => 50,
					    'sql' => 'stunden * personal.persstdsatz',
					    ),
			      'lfdm' => array(
					    'name' => 'Lfdm',
					    'type' => 'number',
					    'specs' => "decPlaces: 3, ClassName: 'alignright'",
					    'width' => 50,
					    'sql' => '(stunden * personal.persstdsatz) / laenge',
					    ),
#
			      'geraet' => array(
					    'name' => 'Gerät',
					    'sql' => 'gerate.geraet',
					    'width' => 150,
					    'specs' => "filterUI: 't'",
					    ),
			      'geraetstunden' => array(
					    'name' => 'Stunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright'",
					    'width' => 50,
					    ),
			      'geraetstunde' => array(
					    'name' => 'Stunde',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright'",
					    'width' => 50,
					    'sql' => 'geraetstunden * gerate.gerstdsatz',
					    ),
			      'geraetlfdm' => array(
					    'name' => 'Lfdm',
					    'type' => 'number',
					    'specs' => "decPlaces: 3, ClassName: 'alignright'",
					    'width' => 50,
					    'sql' => '(geraetstunden * gerate.gerstdsatz) / laenge',
					    ),
#
			      'anbaugeraet' => array(
					    'name' => 'Anbaugerät',
					    'sql' => 'anbaugeraete.anbaugeraet',
					    'width' => 150,
					    'specs' => "filterUI: 't'",
					    ),
			      'anbaugeraetstunden' => array(
					    'name' => 'Stunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright'",
					    'width' => 50,
					    ),
			      'anbaugeraetstunde' => array(
					    'name' => 'Stunde',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright'",
					    'width' => 50,
					    'sql' => 'anbaugeraetstunden * anbaugeraete.anbgerstdsatz',
					    ),
			      'anbaugeraetlfdm' => array(
					    'name' => 'Lfdm',
					    'type' => 'number',
					    'specs' => "decPlaces: 3, ClassName: 'alignright'",
					    'width' => 50,
					    'sql' => '(anbaugeraetstunden * anbaugeraete.anbgerstdsatz) / laenge',
					    ),
			      ),
	      'rows' => 20,
	      );

?>
